Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454278 - crash on randr
Summary: crash on randr
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 13:48 UTC by Jeremy Katz
Modified: 2009-10-22 12:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-03 22:09:38 UTC


Attachments (Terms of Use)
X log (deleted)
2008-07-07 13:48 UTC, Jeremy Katz
no flags Details

Description Jeremy Katz 2008-07-07 13:48:15 UTC
When getting to the office and plugging my laptop into the external display, I
do something along the lines of
  xrandr --output VGA --mode 1680x1050 --output LVDS --off
(either via command line or the gnome tool).  Recently, this started crashing
the X server.  Looking in the X.log shows a nice segfault backtrace

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80bcaa9]
1: [0x132400]
2: /usr/bin/Xorg(xf86ModesEqual+0xc) [0x80ed67c]
3: /usr/bin/Xorg(xf86SetScrnInfoModes+0x1b3) [0x80e70f3]
4: /usr/bin/Xorg [0x80eeed8]
5: /usr/bin/Xorg(RRGetInfo+0xb1) [0x816dd81]
6: /usr/bin/Xorg(ProcRRGetScreenResources+0x85) [0x8171c75]
7: /usr/bin/Xorg [0x816ab05]
8: /usr/bin/Xorg(Dispatch+0x34f) [0x8085c8f]
9: /usr/bin/Xorg(main+0x47d) [0x806b60d]
10: /lib/libc.so.6(__libc_start_main+0xe5) [0x3c35d5]
11: /usr/bin/Xorg(FontFileCompleteXLFD+0x229) [0x806a9f1]

Only "odd" thing in my xorg.conf is a Virtual of 2048x2048 and wacom setup

Comment 1 Jeremy Katz 2008-07-07 13:48:15 UTC
Created attachment 311149 [details]
X log

Comment 2 Jeremy Katz 2008-07-07 19:39:51 UTC
Oh, and

xorg-x11-server-Xorg-1.4.99.905-2.20080701.fc10.i386
xorg-x11-drv-i810-2.2.1-24.fc9.i386


Comment 3 Peter Hutterer 2008-10-23 01:59:51 UTC
Jeremy, is this still an issue? Looks like it was fixed with the patch below.

commit 1771edcb44b564f83f509748b4e4cd5b7586e2a8
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 3 18:57:09 2008 +1000

    modes: check the crtc is valid before using its desired modes.
    
    this fixes a crash I was getting on radeon rotate when gnome is running.
    I'm sure g-s-d was doing something bad, but really not crashing ftw.

Comment 4 Jeremy Katz 2008-11-03 22:09:38 UTC
Looks okay now, yeah


Note You need to log in before you can comment on or make changes to this bug.